From 2ea17e63f3e0bad59196c78e33c572264bc37a2e Mon Sep 17 00:00:00 2001
From: Kyle Marek-Spartz <kyle.marek.spartz@gmail.com>
Date: Mon, 5 May 2014 15:16:49 -0500
Subject: [PATCH] regression in zsh-completion when using BSD sed. Made sed
 expression GNU and BSD compatible.

---
 src/completion/pass.zsh-completion | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/completion/pass.zsh-completion b/src/completion/pass.zsh-completion
index 4c7548c..2f8a2b9 100644
--- a/src/completion/pass.zsh-completion
+++ b/src/completion/pass.zsh-completion
@@ -110,7 +110,7 @@ _pass_cmd_show () {
 _pass_complete_entries_helper () {
 	local IFS=$'\n'
 	local prefix="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
-	_values -C 'passwords' $(find -L "$prefix" \( -name .git -o -name .gpg-id \) -prune -o $@ -print | sed -e "s#${prefix}/\\?##" -e 's#\.gpg##' | sort)
+	_values -C 'passwords' $(find -L "$prefix" \( -name .git -o -name .gpg-id \) -prune -o $@ -print | sed -E -e "s#${prefix}/?##" -e 's#\.gpg##' | sort)
 }
 
 _pass_complete_entries_with_subdirs () {
-- 
1.9.2

